Search KV entries by key pattern
curl --request GET \
--url https://api.quiva.ai/storage/kv/{bucket}/search-by-key \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.quiva.ai/storage/kv/{bucket}/search-by-key"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.quiva.ai/storage/kv/{bucket}/search-by-key', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"body": {
"results": [
{
"key": "user123",
"value": {
"name": "John Doe",
"email": "john@example.com"
}
},
{
"key": "user456",
"value": {
"name": "Jane Smith",
"email": "jane@example.com"
}
}
],
"results_total": 2
},
"metadata": {
"bucket": "my-bucket",
"search": "user*",
"hits": 2
}
}{
"error": "validation_error"
}{
"error": "unauthorized"
}{
"error": "not_found"
}{
"error": "internal_error"
}KV Search
Search KV entries by key pattern
Searches for KV entries by key pattern (e.g., ‘user*’)
GET
/
storage
/
kv
/
{bucket}
/
search-by-key
Search KV entries by key pattern
Authorizations
bearerAuthapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Name of the bucket
Query Parameters
Key pattern to search for (supports wildcards)
Maximum number of results to return
Required range:
1 <= x <= 1000⌘I